# Ds\Sequence::push

(PECL ds >= 1.0.0)

Ds\Sequence::push — Ajoute des valeurs à la fin de la séquence

### Description

abstract public Ds\Sequence::push(mixed `...$values`): void

Ajoute des valeurs à la fin de la séquence.

### Liste de paramètres

`values`

  Les valeurs à ajouter.

### Valeurs de retour

Aucune valeur n'est retournée.

### Exemples

Exemple #1 Exemple de Ds\Sequence::push()

`<?php
$sequence = new \Ds\Vector();
$sequence->push("a");
$sequence->push("b");
$sequence->push("c", "d");
$sequence->push(...["e", "f"]);
print_r($sequence);
?>`

Résultat de l'exemple ci-dessus est similaire à :

    Ds\Vector Object
    (
        [0] => a
        [1] => b
        [2] => c
        [3] => d
        [4] => e
        [5] => f
    )